import org.trinitydesktop.qt.*;

public class Tut4 extends TQWidget {
	public Tut4() {
		setMinimumSize(200,120);
		setMaximumSize(200,120);

		TQPushButton quit = new TQPushButton("Quit", this, "quit");
		quit.setGeometry(62, 40, 75, 30);
		quit.setFont(new TQFont("Times", 18, TQFont.Bold, false));

		connect(quit, SIGNAL("clicked()"), tqApp(), SLOT("quit()"));
	}
	
	public static void main(String[] args) {
		TQApplication a = new TQApplication(args);

		Tut4 w = new Tut4();
		w.setGeometry(100, 100, 200, 120);
		a.setMainWidget(w);
		w.show();
		a.exec();
	}
	
	static {
		try {
			Class c = Class.forName("org.trinitydesktop.qt.qtjava");
		} catch (Exception e) {
			e.printStackTrace();
			System.out.println("Can't load qtjava class");
		}
	}
}
